<?php

/**
 * KataoMemberNode form base class.
 *
 * @package    form
 * @subpackage katao_member_node
 * @version    SVN: $Id: sfPropelFormGeneratedTemplate.php 15484 2009-02-13 13:13:51Z fabien $
 */
class BaseKataoMemberNodeForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'              => new sfWidgetFormInputHidden(),
      'katao_member_id' => new sfWidgetFormPropelSelect(array('model' => 'KataoMember', 'add_empty' => false)),
      'katao_node_id'   => new sfWidgetFormPropelSelect(array('model' => 'KataoNode', 'add_empty' => false)),
      'created_at'      => new sfWidgetFormDateTime(),
    ));

    $this->setValidators(array(
      'id'              => new sfValidatorPropelChoice(array('model' => 'KataoMemberNode', 'column' => 'id', 'required' => false)),
      'katao_member_id' => new sfValidatorPropelChoice(array('model' => 'KataoMember', 'column' => 'id')),
      'katao_node_id'   => new sfValidatorPropelChoice(array('model' => 'KataoNode', 'column' => 'id')),
      'created_at'      => new sfValidatorDateTime(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('katao_member_node[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'KataoMemberNode';
  }


}
